float x, y;
PImage aviao, aviaoMask;
color corColisao = color(255,0,0);
PFont f;
String mensagem;
void setup() {
  size(600,400);
  x = width/2;
  y = height/2;
  f = createFont("Arial", 20);
  textFont(f);
  corColisao = color(255,0,0);
  aviao     = loadImage("aviaoTransp.png"); // Imagem original
  aviaoMask = loadImage("aviaoMask.png");   // Máscara
}

void draw() {
  background(128);
  // Movimento browniano
  x = x + random(-2, 2);
  y = y + random(-2, 2);
  // Desenha o objeto de colisão
  image(aviaoMask, x, y);
  
  // Checa a colisão
  mensagem = "";
  if(mousePressed) {
    // Obtém a cor exata na posição
    color cor = get(mouseX, mouseY);
    // Se a cor clicada for igual à cor de colisão
    if(cor == corColisao) {
      mensagem = "Acertou!";
    } else {
      mensagem = "Errou!";
    }
  }
  // Desenha os objetos a serem mostrados
  background(0,0,255);
  text(mensagem, 30, 60);
  image(aviao, x, y);
  
  // Como gerar a máscara dentro do Processing, se você não souber usar Gimp, Photoshop ou similar
  //aviao.filter(THRESHOLD, 1);
  //aviao.filter(ERODE);
  //aviao.save("aviaoMascara.png");
}



