float x, y;
float xAlvo, yAlvo;
void setup() {
  size(600, 400);
  x = width/2;
  y = height/2;
  xAlvo = random(100,width-100);
  yAlvo = random(100,height-100);
  smooth();
}

void draw() {
  // Verifica o teclado
  if(keyPressed && key==CODED) {

    switch(keyCode) {
      case UP:
        y = y - 1;
        break;
      case DOWN:
        y = y + 1;
        break;
      case LEFT:
        x = x - 1;
        break;
      case RIGHT:
        x = x + 1;
        break;
    }
  }
  
  // Move o inimigo
  xAlvo = xAlvo + random(-3,3);
  yAlvo = yAlvo + random(-3,3);

  // Verifica a colisão
  // 30 é igual à soma do raio da mira e do alvo
  if(dist(x,y,xAlvo,yAlvo)<30) {
    background(155,0,0);
  } else {
    background(128);
  }
  fill(100, 0, 0, 128);
  // Desenha a mira
  ellipse(x, y, 50, 50);
  line(x, y-25, x, y-5);
  line(x, y+25, x, y+5);
  line(x-25, y, x-5, y);
  line(x+25, y, x+5, y);
  // Desenha o alvo
  fill(0,255,0, 128);
  ellipse(xAlvo, yAlvo, 10, 10);
}



